org.springframework.messaging.rsocket

## Interface RSocketRequester.MetadataSpec<S extends RSocketRequester.MetadataSpec<S>>

Type Parameters:
  `S` - a self reference to the spec type

All Known Subinterfaces:
  RSocketRequester.RequestSpec

Enclosing interface:
  RSocketRequester

    public static interface RSocketRequester.MetadataSpec<S extends RSocketRequester.MetadataSpec<S>>

Spec for providing additional composite metadata entries.

### Method Summary

All Methods Instance Methods Abstract Methods
`S` `metadata(Object metadata, org.springframework.util.MimeType mimeType)` Use this to append additional metadata entries when using composite metadata.

### Method Detail

#### metadata

    S metadata(Object metadata,
               org.springframework.util.MimeType mimeType)

Use this to append additional metadata entries when using composite metadata. An `IllegalArgumentException` is raised if this method is used when not using composite metadata. The metadata value be a concrete value or any producer of a single value that can be adapted to a `Publisher` via `ReactiveAdapterRegistry`.

Parameters:
  `metadata` - an Object to be encoded with a suitable `Encoder`, or a `DataBuffer`
  `mimeType` - the mime type that describes the metadata